Topics

Explore Stars app #ExploreStars


alandebrut
 

Hello,
 
I have an older iPad, due to its age I cannot download ExploreStars app
So I bought a new iPhone X with ios 14.
 
I get a message saying incompatible.
 
Please can you advise if the latest ios is compatible with ExploreStars?
 
And what if any is the course of action to be taken?
 
Many thanks
 
Alan--
Explore Scientific:
Telscope AR102, F6.5
Exos 2, PMC8 

Celestron
SE8 plus mount
Starsense

Canon 80D


Tyler Bowman - Explore Scientific Customer Service
 

At this current time you cant use Phones to operate explorestars